### Signal

# Gtk.CellArea::apply-attributes

#### Declaration

    void
    apply_attributes (
      GtkCellArea self,
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded,
      gpointer user_data
    )

#### Description [src]

This signal is emitted whenever applying attributes to `area` from `model`

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`

#### Parameters

`model` | `GtkTreeModel`
| the `GtkTreeModel` to apply the attributes from
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| the `GtkTreeIter` indicating which row to apply the attributes of
| Ownership is not transferred to the callee
`is_expander` | `gboolean`
| whether the view shows children for this row
`is_expanded` | `gboolean`
| whether the view is currently showing the children of this row